## org.omg.DynamicAny
Class DynAnyFactoryHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynAnyFactoryHelper

public class DynAnyFactoryHelper
extends java.lang.Object

Helper class for : DynAnyFactory

Author:
  OpenORB Compiler

Constructor Summary
`DynAnyFactoryHelper()`

Method Summary
`static DynAnyFactory` `extract(Any a)` Extract DynAnyFactory from an any
`static java.lang.String` `id()` Return the DynAnyFactory IDL ID
`static void` `insert(Any a, DynAnyFactory t)` Insert DynAnyFactory into an any
`static DynAnyFactory` `narrow(Object obj)` Narrow CORBA::Object to DynAnyFactory
`static DynAnyFactory` `read(InputStream istream)` Read DynAnyFactory from a marshalled stream
`static TypeCode` `type()` Return the DynAnyFactory TypeCode
`static DynAnyFactory` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynAnyFactory
`static void` `write(OutputStream ostream, DynAnyFactory value)` Write DynAnyFactory into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynAnyFactoryHelper

    public DynAnyFactoryHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynAnyFactory t)

  Insert DynAnyFactory into an any
  Parameters:
    `a` - an any
    `t` - DynAnyFactory value

### extract

    public static DynAnyFactory extract(Any a)

  Extract DynAnyFactory from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynAnyFactory value

### type

    public static TypeCode type()

  Return the DynAnyFactory TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynAnyFactory IDL ID
  Returns:
    an ID

### read

    public static DynAnyFactory read(InputStream istream)

  Read DynAnyFactory from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynAnyFactory value

### write

    public static void write(OutputStream ostream,
                             DynAnyFactory value)

  Write DynAnyFactory into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynAnyFactory value

### narrow

    public static DynAnyFactory narrow(Object obj)

  Narrow CORBA::Object to DynAnyFactory
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynAnyFactory Object

### unchecked_narrow

    public static DynAnyFactory unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynAnyFactory
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynAnyFactory Object